<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_gravity="center"
    android:background="@color/colorPrimary"
    android:gravity="center"
    android:orientation="vertical"
    tools:context=".screen.login.LoginActivity">

    <ImageView
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/ic_logo_big" />

    <com.google.android.material.button.MaterialButton
        android:id="@+id/back_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:backgroundTint="@color/colorPrimaryLight"
        android:text="@string/back_btn" />

    <ProgressBar
        android:id="@+id/progressbar_login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="invisible" />

    <FrameLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/left_guideline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.10" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/right_guideline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.90" />

        <View
            android:id="@+id/v_bg"
            android:layout_width="0dp"
            android:layout_height="350dp"
            android:background="@drawable/bg_white_login"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/right_guideline"
            app:layout_constraintStart_toStartOf="@+id/left_guideline"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/v_header"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginTop="50dp"
            app:layout_constraintEnd_toEndOf="@+id/right_guideline"
            app:layout_constraintStart_toStartOf="@+id/left_guideline"
            app:layout_constraintTop_toTopOf="@+id/v_bg" />

        <ImageView
            android:id="@+id/iv_logo"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:adjustViewBounds="true"
            android:scaleType="fitXY"
            android:src="@drawable/ic_logo_big"
            app:layout_constraintBottom_toTopOf="@+id/v_header"
            app:layout_constraintEnd_toEndOf="@+id/right_guideline"
            app:layout_constraintStart_toStartOf="@+id/left_guideline" />

        <TextView
            android:id="@+id/tv_member_label"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="16dp"
            android:gravity="center"
            android:text="Member Login"
            android:textColor="@color/color_black"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="@id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@id/v_header" />

        <TextView
            android:id="@+id/tv_username_label"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="36dp"
            android:layout_marginTop="20dp"
            android:text="Username"
            android:textColor="@color/color_black"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@id/tv_member_label" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/til_username"
            style="@style/GDTTextInputLayout.ClearText"
            android:layout_width="0dp"
            android:layout_height="35dp"
            android:layout_marginStart="24dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="24dp"
            app:boxCornerRadiusBottomEnd="@dimen/login_edit_text_corner"
            app:boxCornerRadiusBottomStart="@dimen/login_edit_text_corner"
            app:boxCornerRadiusTopEnd="@dimen/login_edit_text_corner"
            app:boxCornerRadiusTopStart="@dimen/login_edit_text_corner"
            app:hintEnabled="false"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@id/tv_username_label"
            app:startIconDrawable="@drawable/ic_user1"
            app:startIconTint="@color/color_login_icon">

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_username"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="text"
                android:maxLength="50"
                android:padding="0dp"
                android:textColor="@color/colorPrimary"
                android:textSize="12sp" />
        </com.google.android.material.textfield.TextInputLayout>

        <TextView
            android:id="@+id/tv_password_label"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="36dp"
            android:layout_marginTop="16dp"
            android:text="Password"
            android:textColor="@color/color_black"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@id/til_username" />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/til_password"
            style="@style/GDTTextInputLayout.PasswordToggle"
            android:layout_width="0dp"
            android:layout_height="35dp"
            android:layout_marginStart="24dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="24dp"
            app:boxCornerRadiusBottomEnd="@dimen/login_edit_text_corner"
            app:boxCornerRadiusBottomStart="@dimen/login_edit_text_corner"
            app:boxCornerRadiusTopEnd="@dimen/login_edit_text_corner"
            app:boxCornerRadiusTopStart="@dimen/login_edit_text_corner"
            app:hintEnabled="false"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@id/tv_password_label"
            app:startIconDrawable="@drawable/ic_lock"
            app:startIconTint="@color/color_login_icon">

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPassword"
                android:maxLength="50"
                android:padding="0dp"
                android:textColor="@color/colorPrimary"
                android:textSize="12sp" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btn_login"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="24dp"
            android:backgroundTint="@color/colorPrimary"
            android:gravity="center"
            android:padding="12dp"
            android:paddingStart="36dp"
            android:paddingEnd="36dp"
            android:text="LOGIN"
            android:textColor="@color/color_white"
            android:textSize="16sp"
            app:cornerRadius="12dp"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@id/til_password" />

        <TextView
            android:id="@+id/tv_error"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center"
            android:textColor="@color/color_red_800"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@id/btn_login" />
    </FrameLayout>


</androidx.appcompat.widget.LinearLayoutCompat>